%define ver       5.1
#%undef rel       2
%define verstr    %(echo %{ver}%{?rel:.%{rel}} | tr '.' '_')
%define srcdir    tspc-advanced


Summary:          The Hexago Gateway6 Client
Name:             gw6c
Version:          %{ver}%{?rel:.%{rel}}
Release:          1%{?dist}%{?pext}
License:          distributable
Group:            System Environment/Daemons
# http://go6.net/4105/file.asp?file_id=150
Source0:          %{name}-%{verstr}-RELEASE-src.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Source3:          %{name}.logrotate
Patch0:           %{name}-5.1-install.patch
Patch1:           %{name}-5.1-checktunnel.patch
Patch2:           %{name}-5.1-paths.patch
Patch3:           %{name}-5.1-logging.patch
URL:              http://go6.net/4105/freenet.asp
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Hexago <support@go6.net>
Requires(post):   /sbin/chkconfig %{__sed}
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    openssl-devel
Obsoletes:        tspc


%description
Gateway6 Client provides a mean to configure a tunnel obtained from a tunnel
server which is compliant to the tunnel setup protocol (TSP). It will connect
to a tunnel server and request a tunnel according to the specifications inside
the configuration file. After tunnel setup it will then monitor the state of
the tunnel and, in case of a timeout, reestablish a new tunnel.


%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix permissions
pushd %{srcdir}
%{__chmod} -x conf/*.in
%{__chmod} -x template/{README,*environ}
%{__chmod} -x man/man{5,8}/*
popd


%build
pushd %{srcdir}
%{__make} \
	DEFINES="-Dlinux ${RPM_OPT_FLAGS}" \
	target=linux %{?_smp_mflags}
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{logrotate.d,sysconfig}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/cache/%{name}

pushd %{srcdir}
%{__make} \
	target=linux                  \
	installdir=${RPM_BUILD_ROOT}  \
	configdir=%{_datadir}/%{name} \
	install
popd

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

# Fix permissions
%{__chmod}   +x                 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/template/*.sh


%post
/sbin/chkconfig --add %{name}

# Convert old (tspc) config
if [ -r %{_sysconfdir}/tspc.conf -a ! -e %{_sysconfdir}/%{name}.conf ]; then
  %{__cp}  -p %{_sysconfdir}/tspc.conf   %{_sysconfdir}/%{name}.conf
  %{__sed} -e 's/tsp/gw6/g' %{_sysconfdir}/tspc.conf >%{_sysconfdir}/%{name}.conf
fi


%preun
if [ $1 = 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{srcdir}/{INSTALL,README,*.TXT,template/variables_environ} *.pdf
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(640,root,root) %{_sysconfdir}/%{name}.conf.sample
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/template
%config(noreplace) %{_datadir}/%{name}/template/*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*
%attr(750,root,root) %dir %{_localstatedir}/cache/%{name}


%changelog
* Thu Oct 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 5.1-1
- New version (5.1)

* Thu Sep 13 2007 peter.pramberger@member.fsf.org 5.0-5
- new version (5.0)

* Fri Feb 09 2007 peter.pramberger@member.fsf.org 4.2.2-5
- fixed path to broker files
- convert config from tspc

* Thu Feb 08 2007 peter.pramberger@member.fsf.org 4.2.2-4
- new version (4.2.2)
- renamed to gw6c (formerly tspc)

* Wed Jul 19 2006 peter.pramberger@member.fsf.org
- new version (4.1)

* Mon Dec 12 2005 peter.pramberger@member.fsf.org
- some spec file cleanups

* Wed Sep 07 2005 peter.pramberger@member.fsf.org
- created
